# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MHandledItem

Packages that use MHandledItem
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of MHandledItem in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MHandledItem in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MHandledMenuItem`
A representation of the model object 'Handled Menu Item'.
`interface`
`MHandledToolItem`
A representation of the model object 'Handled Tool Item'.

## Uses of MHandledItem in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MHandledItem
Modifier and Type
Class
Description
`class`
`HandledItemImpl`
An implementation of the model object 'Handled Item'.
`class`
`HandledMenuItemImpl`
An implementation of the model object 'Handled Menu Item'.
`class`
`HandledToolItemImpl`
An implementation of the model object 'Handled Tool Item'.

## Uses of MHandledItem in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MHandledItem
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseHandledItem(MHandledItem object)`
Returns the result of interpreting the object as an instance of 'Handled Item'.

## Uses of MHandledItem in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return MHandledItem
Modifier and Type
Method
Description
`MHandledItem`
HandledContributionItem.`getModel()`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MHandledItem
Modifier and Type
Method
Description
`void`
HandledContributionItem.`setModel(MHandledItem item)`
This method seems to be necessary for calls via reflection when called with MHandledItem parameter.